Package be.ehealth.businessconnector.mycarenet.attestv3.session.impl

# Class AttestServiceImpl

java.lang.Object
be.ehealth.businessconnector.mycarenet.attestv3.session.impl.AttestServiceImpl

All Implemented Interfaces:
  `AttestService`

public class AttestServiceImpl extends Object implements AttestService
A simplified interface to access the eAttest v3 service Implements : `AttestService`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttestServiceImpl(SessionValidator sessionValidator)`
  Instantiates a new eAttest service impl.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CancelAttestationResponse`
  `cancelAttestation(SendRequestType request)`
  Cancel the send attestation asserter to the WS (needs a Session to be active, token is retrieved from the session)
  `SendAttestationResponse`
  `sendAttestation(SendRequestType request)`
  Sends the send attestation asserter to the WS (needs a Session to be active, token is retrieved from the session)

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttestServiceImpl

    public AttestServiceImpl(SessionValidator sessionValidator) throws TechnicalConnectorException
    Instantiates a new eAttest service impl.
    Parameters:
      `sessionValidator` - the sessionValidator
    Throws:
      `TechnicalConnectorException`

- ## Method Details

  - ### sendAttestation

    public SendAttestationResponse sendAttestation(SendRequestType request) throws TechnicalConnectorException
    Description copied from interface: `AttestService`
    Sends the send attestation asserter to the WS (needs a Session to be active, token is retrieved from the session)
    Specified by:
      `sendAttestation` in interface `AttestService`
    Parameters:
      `request` - the consultation asserter
    Returns:
      the WS response
    Throws:
      `TechnicalConnectorException`

  - ### cancelAttestation

    public CancelAttestationResponse cancelAttestation(SendRequestType request) throws TechnicalConnectorException
    Description copied from interface: `AttestService`
    Cancel the send attestation asserter to the WS (needs a Session to be active, token is retrieved from the session)
    Specified by:
      `cancelAttestation` in interface `AttestService`
    Parameters:
      `request` - the consultation asserter
    Returns:
      the WS response
    Throws:
      `TechnicalConnectorException`